Subject: Re: bug#15903: 24.3.50; Fix small issue with ispell-hunspell when dictionary is set to default (nil)

From: Vladimir Lomov <[email-masked]>
Date: Mon, 18 Nov 2013 21:48:20 +0900

Hello,
** Agustin Martin [2013-11-18 13:11:58 +0100]:

[...]

>>> Cannot reproduce it here. By the way, once initialized for hunspell
>>> ispell.el provides a match for default (nil) value, here

>>> (nil [[:alpha:]] [^[:alpha:]] ['] nil (-B) nil utf-8)

>> Wouldn't you mind to share how you get this?

> Using 20131101 emacs-snapshot,

> $ LC_ALL=C emacs-snapshot -Q &

> In scratch buffer, type

> (setq ispell-program-name "hunspell")
> (setq ispell-dictionary nil)

> and `eval-region' that region. Then run 'M-$' on a couple of words (file and
> dictionary). This will make ispell.el be loaded and ispell process started,
> messages buffer shows

> Starting new Ispell process [hunspell::default] ...
> Checking spelling of FILE...
> FILE is correct
> Checking spelling of DICTIONARY...
> DICTIONARY is correct

Tried but without luck, I attached content of *Messages* and *scratch*.

> Evaluating in the scratch buffer

> (message "%s" (assoc nil ispell-hunspell-dictionary-alist))

> I get (now default here is en_US)

> (nil [[:alpha:]] [^[:alpha:]] ['0-9] t (-d en_US) nil utf-8)

Got nil.

> Note that `ispell-hunspell-dictionary-alist' is not bound until ispell.el is
> loaded, and that will not happen until you spellcheck for the first time (or
> call a command that forces ispell.el load), so the first part of your check
> should do nothing until then. If you get some result there please doublecheck
> that you are not loading it from a different site.

Exactly that I figured out from ispell.el, so at first I got 'void
variable' then added 'boundp'.

> PS: What is prin1?

I found thin function in Emacs Lisp Manual (info:elisp#Output
Functions), I use it because I didn't know how to use 'message' :),
thanks for example.

After some tests I found that my /real/ Emacs configuration works,
this is odd because earlier it didn't. Using the same settings for test
files gives failure. I'll back to this problem later on this week.

---
WBR, Vladimir Lomov

-- 
Clique Maintenance:
	The need of one generation to see the generation following it
as deficient so as to bolster its own collective ego: "Kids today do
nothing.  They're so apathetic.  We used to go out and protest.  All
they do is shop and complain."
		-- Douglas Coupland, "Generation X: Tales for an Accelerated
		   Culture"